{
	"parent":"alexsmobs:alexsmobs/tame_mantis_shrimp",
	"display":{
		"icon":{
			"item":"minecraft:water_bucket"
		},
		"title":{
			"translate":"advancements.alexsmobs.mantis_shrimp_bucket.title"
		},
		"description":{
			"translate":"advancements.alexsmobs.mantis_shrimp_bucket.desc"
		},
		"frame":"task",
		"show_toast":true,
		"announce_to_chat":true,
		"hidden":false
	},
	"criteria":{
		"tame":{
			"trigger":"minecraft:player_interacted_with_entity",
			"conditions":{
				"player":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"flags":{
							"is_sneaking":true
						}
					},
					"entity":"this"
				}],
				"item":{},
				"entity":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"alexsmobs:mantis_shrimp"
					},
					"entity":"this"
				}]
			}
		}
	},
	"requirements":[
		[
			"tame"
		]
	],
	"sends_telemetry_event":false
}